#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-base-1.28.2

- Next

  gst-plugins-bad-1.28.2

- Up
- Home

# gst-plugins-good-1.28.2

## Introduction to GStreamer Good Plug-ins

The GStreamer Good Plug-ins is a set of plug-ins considered by the GStreamer developers to have good quality code, correct functionality, and the preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library). A wide range of video and audio decoders, encoders, and filters are included.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-1.28.2.tar.xz

- Download MD5 sum: c23f2f5eb30c107e89b9ced9b3224c6e

- Download size: 5.8 MB

- Estimated disk space required: 128 MB (with tests)

- Estimated build time: 0.6 SBU (Using parallelism=4; with tests)

### GStreamer Good Plug-ins Dependencies

#### Required

gst-plugins-base-1.28.2

#### Recommended

Cairo-1.18.4, FLAC-1.5.0, gdk-pixbuf-2.44.6, LAME-3.100, libsoup-3.6.6, libvpx-1.16.0, mpg123-1.33.5, NASM-3.01, and PulseAudio-17.0

#### Optional

AAlib-1.4rc5, GTK-3.24.52 (for examples), libdv-1.0.0, Qt-6.11.0, Speex-1.2.1, taglib-2.2.1, Valgrind-3.26.0, v4l-utils-1.32.0, Wayland-1.24.0, alsa-oss, hotdoc, JACK, libcaca, libavc1394, libiec61883, libraw1394, libshout, libsoup2, Orc, TwoLame, and WavPack

## Installation of GStreamer Good Plug-ins

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Good Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release &&
    ninja

To test the results, issue: ninja test. One test, `elements_flvmux`, is known to fail on some systems.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: Several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/share/gstreamer-1.0/presets

- Prev

  gst-plugins-base-1.28.2

- Next

  gst-plugins-bad-1.28.2

- Up
- Home